=== src/bsh/util/Makefile ===

all:\
	AWTConsole.class \
	BshCanvas.class \
	ClassBrowser.class \
	Httpd.class \
	HttpdConnection.class \
	JConsole.class \
	RemoteBshApplet.class \
	Sessiond.class \
	SessiondConnection.class \
	Util.class

%.class : %.java
	javac $<
