## bsh 2.0b4

=== debian/changelog ===
bsh (2.0b4-19) unstable; urgency=medium

  * Fixed the build failure with Java 9 (Closes: #875340)
  * Applied Jonathan Bustillos' patch to make the build reproducible
    (Closes: #877470)
  * Build with the DH sequencer instead of CDBS
  * Moved the package to Git
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 30 Nov 2017 00:39:30 +0100

bsh (2.0b4-18) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 May 2016 19:13:58 +0200

bsh (2.0b4-17) unstable; urgency=medium

  * Team upload.
  * Update CVE-2016-2510.patch and use java.io.ObjectStreamException and
    java.io.NotSerializableException directly to ensure Jedit can be build from
    source.

 -- Markus Koschany <apo@debian.org>  Fri, 04 Mar 2016 14:58:01 +0100

bsh (2.0b4-16) unstable; urgency=high

  * Team upload.
  * Fix CVE-2016-2510.
    An application that includes BeanShell on the classpath may be vulnerable
    if another part of the application uses Java serialization or XStream to
    deserialize data from an untrusted source. A vulnerable application could
    be exploited for remote code execution, including executing arbitrary shell
    commands.
  * Declare compliance with Debian Policy 3.9.7.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Feb 2016 18:36:28 +0100

bsh (2.0b4-15) unstable; urgency=low

  * Added the poms missing in the previous upload (Closes: #730008)
  * Transition to the Servlet API 3.0 (Closes: #729972)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 21 Nov 2013 17:16:04 +0100

bsh (2.0b4-14) unstable; urgency=low

  * Upload to unstable
  * Removed the bsh-gcj package
  * Moved the jar and the Maven artifacts in a new libbsh-java package
    that doesn't depend on a Java runtime.
  * debian/control:
    - Removed Michael Koch from the uploaders (Closes: #653998)
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.5 (no changes)
  * Build depend on debhelper >= 9

  [ Niels Thykier ]
  * Changed the section of bsh to devel

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Nov 2013 16:45:40 +0100

bsh (2.0b4-13) experimental; urgency=low

  * Team upload.
  * Upload to experimental due to freeze.
  * Moved the gcj package to the java section.
  * Replaced B-D on default-jdk-builddep with gcj-native-helper and
    default-jdk.
  * Bumped Standards-Versions 3.9.1 - no changes required.
  * Updated README.Debian to better reflect the current times.
  * Added descriptions to the patches.
  * Added patch to fix a typo in the upstream code.
  * Added mh_clean to the clean rule.
  * Linked the javadoc against the system javadoc.

 -- Niels Thykier <niels@thykier.net>  Sun, 21 Nov 2010 20:11:13 +0100

bsh (2.0b4-12) unstable; urgency=low

  * Build-depend on libservlet2.5-java instead of libservlet2.4-java.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 11 Jun 2010 16:20:23 +0200

bsh (2.0b4-11) unstable; urgency=low

  [ Ludovic Claude ]
  * Change bsh-gcj section to libs.

  [ Gabriele Giacone ]
  * Team upload.
  * Added bsh-src binary package generation.
  * Source format 3.0 (quilt).
  * debhelper compatibility to 7.
  * Standards-Version to 3.8.4.
  * Removed Arnaud Vandyck from Uploaders.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 16 Apr 2010 22:28:13 +0200

bsh (2.0b4-10) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:28:52 +0200

bsh (2.0b4-9) experimental; urgency=low

  * Change section to java, bump up Standards-Version to 3.8.1
  * Add support for -classpath option on xbsh script (closes: #504784)
  * rules: add optional support for gcj and optimisation
  * Add the Maven POM to the package,
  * Add a Build-Depends dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 09 May 2009 20:38:06 +0100

bsh (2.0b4-8ubuntu3) intrepid; urgency=low

  * bsh: Suggest libservlet2.4-java instead of libservlet2.3-java,
    suggest default-jre | java-runtime instead of libgcj8-1-awt.
    LP: #257402.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2008 14:56:14 +0000

bsh (2.0b4-8ubuntu2) intrepid; urgency=low

  * debian/control
    - Replace build dependency libservlet2.3-java with libservlet2.4-java.
    - Remove unneeded build dependency lynx.
    - Replace suggests libservlet2.3-java with libservlet2.4-java.
    - Remove libgcj8-1-awt from recommends to suggests.
  * debian/rules
    - Add appropriate jar file name for servlet api 2.4.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 13 Aug 2008 00:43:22 +0530

bsh (2.0b4-8ubuntu1) intrepid; urgency=low

  * Depend on default-jre-headless.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2008 10:46:33 +0000

bsh (2.0b4-8) unstable; urgency=low

  * Build-Depends on default-jdk-builddep. Closes: #477849
  * Clarified debian/copyright.
  * Put bsh-doc.doc-base.1 into Programming/Java section.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Apr 2008 20:12:21 -0100

bsh (2.0b4-7) unstable; urgency=low

  * Fixed menu file to follow new policy.
  * Recommend libgcj-8-1-awt instead of libgcj-7-1-awt.

 -- Michael Koch <konqueror@gmx.de>  Thu, 01 Nov 2007 07:32:43 +0100

bsh (2.0b4-6) unstable; urgency=low

  * bsh: Removed Recommends on xlibs. Closes: #372852.
  * bsh: Recommend libgcj7-1-awt. Closes: #401461.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 09:16:37 +0200

bsh (2.0b4-5) unstable; urgency=low

  * Build a bsh-gcj package.
  * Move Build-Depends-Indep to Build-Depends.
  * Added myself to Uploaders and removed Wolfgang.


