=== debian/control ===
Source: bsh
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 debhelper (>= 10),
 default-jdk,
 default-jdk-doc,
 javacc,
 javahelper (>= 0.32~),
 libbsf-java,
 libservlet3.1-java,
 libservlet3.1-java-doc,
 maven-repo-helper
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/bsh.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/bsh.git
Homepage: http://www.beanshell.org

Package: bsh
Architecture: all
Depends:
 default-jre-headless | java1-runtime-headless | java2-runtime-headless,
 libbsh-java (= ${source:Version}),
 libjline-java,
 ${misc:Depends}
Suggests:
 bsh-doc,
 default-jre | java1-runtime | java2-runtime
Enhances: libbsf-java
Description: Java scripting environment (BeanShell) Version 2
 BeanShell is a small, free, embeddable, Java source interpreter with object
 scripting language features, written in Java. BeanShell executes standard Java
 statements and expressions, in addition to obvious scripting commands and
 syntax.  BeanShell supports scripted objects as simple method closures like
 those in Perl and JavaScript(tm).
 .
 You can use BeanShell interactively for Java experimentation and debugging or
 as a simple scripting engine for you applications.  In short: BeanShell is a
 dynamically interpreted Java, plus some useful stuff.

Package: libbsh-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Replaces: bsh (<= 2.0b4-13~)
Breaks: bsh (<= 2.0b4-13~)
Description: Java scripting environment (BeanShell) Version 2 (library)
 BeanShell is a small, free, embeddable, Java source interpreter with object
 scripting language features, written in Java. BeanShell executes standard Java
 statements and expressions, in addition to obvious scripting commands and
 syntax.  BeanShell supports scripted objects as simple method closures like
 those in Perl and JavaScript(tm).
 .
 You can use BeanShell interactively for Java experimentation and debugging or
 as a simple scripting engine for you applications.  In short: BeanShell is a
 dynamically interpreted Java, plus some useful stuff.
 .
 This package contains the Java library without the command line tools.

Package: bsh-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: bsh
Description: Documentation for bsh
 BeanShell is a small, free, embeddable, Java source interpreter with object
 scripting language features, written in Java. BeanShell executes standard Java
 statements and expressions, in addition to obvious scripting commands and
 syntax.  BeanShell supports scripted objects as simple method closures like
 those in Perl and JavaScript(tm).
 .
 You can use BeanShell interactively for Java experimentation and debugging or
 as a simple scripting engine for you applications.  In short: BeanShell is a
 dynamically interpreted Java, plus some useful stuff.
 .
 The documentation includes the javadoc API for bsh version 2 as well as
 the faq and manual in html-format.

Package: bsh-src
Section: java
Architecture: all
Depends: ${misc:Depends}
Suggests: bsh
Description: Java scripting environment (BeanShell) Version 2 (source code)
 BeanShell is a small, free, embeddable, Java source interpreter with object
 scripting language features, written in Java. BeanShell executes standard Java
 statements and expressions, in addition to obvious scripting commands and
 syntax.  BeanShell supports scripted objects as simple method closures like
 those in Perl and JavaScript(tm).
 .
 You can use BeanShell interactively for Java experimentation and debugging or
 as a simple scripting engine for you applications.  In short: BeanShell is a
 dynamically interpreted Java, plus some useful stuff.
 .
 This package contains the bsh source code.
