=== debian/watch ===
version=3
opts=downloadurlmangle=s/zip/jar/ \
  http://www.beanshell.org/developer.html bsh-(\d.*)-src\.zip debian uupdate
